<?php
	require_once "pageBase.php";
	require_once "bin/web/repeater.php";
	require_once "dal/articleDAL.php";
	require_once "dal/pictureDAL.php";

	class _demo2 extends pageBase{
		public function load(){
			$this->loadData();

			parent::load();
		}
		public function loadData(){
			//加載模板
			parent::loadTemplateFile("demo2.html");
			
			if(trim($this->registry->DemoImage2) == "" || !file_exists(".".$this->registry->DemoImage2)){
				parent::addParameter("DemoImage","/images/demo2.jpg");
			}else{
				parent::addParameter("DemoImage",$this->registry->DemoImage2);
			}

			//父類方法
			parent::loadData();
		}
	}

	$page = new _demo2();
	$page->load();
	$page->render();
?>